unit ProgressBar;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TFmProgress = class(TForm)
    runProgressBar: TProgressBar;
    LblBegin: TLabel;
    LblEnd: TLabel;
    BtnCancel: TButton;
    procedure BtnCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FmProgress: TFmProgress;

implementation

uses stypes, frontend, display;

{$R *.DFM}

procedure TFmProgress.BtnCancelClick(Sender: TObject);
begin
// raise EUserCancel.Create('User clicked cancel');
 if messageDlg('Are you sure you want to abort this run?',
  mtConfirmation, [mbYes, mbNo], 0) = mrYes
 then
  begin
   stopRun := true;
   FmDisplayData.autoShowChart := false;
  end;                                                      
end;

procedure TFmProgress.FormShow(Sender: TObject);
begin
  FmProgress.Caption := modeldef.modelname + ' run progress';
  LblBegin.Caption := floattostr(time_start);
  LblEnd.Caption := floattostr(time_stop);
end;

end.
